import request from '@/utils/request'

// 查询企业分类列表-分页
export function listEtype(query) {
  return request({
    url: '/etype/etype/list',
    method: 'get',
    params: query
  })
}
// 查询企业分类列表-全部
export function listEtypeAll(query) {
  return request({
    url: '/etype/etype/list/all',
    method: 'get',
    params: query
  })
}
// 查询企业分类详细
export function getEtype(id) {
  return request({
    url: '/etype/etype/' + id,
    method: 'get'
  })
}

// 新增企业分类
export function addEtype(data) {
  return request({
    url: '/etype/etype',
    method: 'post',
    data: data
  })
}

// 修改企业分类
export function updateEtype(data) {
  return request({
    url: '/etype/etype',
    method: 'put',
    data: data
  })
}

// 删除企业分类
export function delEtype(id) {
  return request({
    url: '/etype/etype/' + id,
    method: 'delete'
  })
}
